use std::str::FromStr;

use crate::app::App;
use crate::theme::onedark::ONE_DARK;

use subnet_calculator::{Network, ip::IpAddr};

impl eframe::App for App {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        let background_frame = egui::Frame::default().fill(ONE_DARK.bg);
        
        egui::CentralPanel::default()
        .frame(background_frame)
        .show(ctx, |ui| {
            ui.heading(&self.name);
        });

        egui::Window::new("test window")
            .collapsible(false)
            .auto_sized()
            .show(ctx, |ui| {
                ui.heading(&self.name);
                
                ui.text_edit_singleline(&mut self.ip);
                Network::create_subnet(&IpAddr::from_str(self.ip.as_str()).unwrap(), 24).unwrap();

                for _ in 0..10 {
                    ui.add(egui::Button::new(&self.name));
                }
            }
        );
    }
}
